Bug 555954 - [abrt] crash in chess-1.0-27.fc12
Summary: [abrt] crash in chess-1.0-27.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: chess
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bcac1dd5bd26706f72157408ae5...
: 588189 678871 680587 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-16 00:26 UTC by Jose
Modified: 2012-08-16 17:35 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 17:35:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (14.53 KB, text/plain)
2010-01-16 00:26 UTC, Jose
no flags Details

Description Jose 2010-01-16 00:26:37 UTC
abrt 1.0.3 detected a crash.

Attached file: backtrace
cmdline: chess
component: chess
executable: /usr/bin/chess
kernel: 2.6.31.9-174.fc12.x86_64
package: chess-1.0-27.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)

Comment 1 Jose 2010-01-16 00:26:40 UTC
Created attachment 384749 [details]
File: backtrace

Comment 2 David Kovalsky 2010-03-15 14:02:22 UTC

Comment
-----
Started chess for the first time, no idea what has happened.

Comment 3 John Poelstra 2010-03-17 22:48:26 UTC

How to reproduce
-----
1. start from games menu
2.
3.

Comment 4 John Poelstra 2010-03-17 22:49:46 UTC
Any comments from the maintainer?  Looks like a pretty straightforward crasher.

Comment 5 Bruno Wolff III 2010-03-18 05:17:41 UTC
Well lots of stuff based on Ogre crashes some of which may be caused by problems further down the graphics stack.
I haven't looked at this one in detail, so I don't know if there is something else going on in this particular case.
The 3d stuff for Chess also hasn't been maintained in a while, so some of it may not work right with the current version of ogre. My long term plan is to have a new upstream for Chess and clean up the 3d stuff. But that is F14 stuff.
Ogre will also be due for an update soon, possibly for F14.
The crashes I see for the Ogre stuff I have seen typically have been occurring during exits rather than normal game play, so they haven't been high on my list to start digging into.

Comment 6 John Poelstra 2010-03-22 11:55:22 UTC
Fair enough.  Thanks for the info.  This application is not important to me, I just thought it might be an easy fix.  Let me know if I can help test specific Chess applications in the future as you work on the new upstream.

Comment 7 ericbotton 2010-03-22 19:57:53 UTC

How to reproduce
-----
1.launch the app
2.
3.

Comment 8 Guy M. Griffith 2010-04-12 00:10:16 UTC

How to reproduce
-----
1.Tried to play chess.
2.
3.

Comment 9 Bruno Wolff III 2010-04-12 00:24:08 UTC
I mostly see crashes when exiting the game.
I remember seeing crash problems starting that varied according to the ogre settings for the game. There isn't a graphical interface to them once you have played.
Currently I have things set to:
bash-4.1$ more .chess/ogre.cfg
Render System=OpenGL Rendering Subsystem

[OpenGL Rendering Subsystem]
Display Frequency=70 MHz
FSAA=0
Full Screen=No
RTT Preferred Mode=PBuffer
VSync=No
Video Mode= 800 x  600
sRGB Gamma Conversion=

My memory is that the RTT Preferred Mode setting was the key one for avoiding crashes on startup. You can get the original config screen by removing .chess/ogre.cfg .

During f14 development I hope to get updates of ogre related stuff that might help.

Comment 10 wokay08 2010-04-12 18:50:48 UTC

How to reproduce
-----
1.Was playing a game, time limit was 5min but then it went down to zero and started counting down on the negative.
2. I reset the board and close the software.
3.

Comment 11 DeepPurpleFedora 2010-04-16 21:06:53 UTC

How to reproduce
-----

bash-4.1$ more .chess/ogre.cfg
Render System=OpenGL Rendering Subsystem

[OpenGL Rendering Subsystem]
Display Frequency=70 MHz
FSAA=0
Full Screen=No
RTT Preferred Mode=PBuffer
VSync=No
Video Mode= 800 x  600
sRGB Gamma Conversion=

execute

Comment 12 Karel Klíč 2010-05-25 09:32:44 UTC
*** Bug 588189 has been marked as a duplicate of this bug. ***

Comment 13 pici.1251 2010-05-25 10:14:32 UTC
perhaps the problem is in nvidia driver.
In effect, as I installed Fedora 12 and just after installation of nvidia
Quadro FX1700 drivers (x86_64 version, obviously), chess (and celestia too)
worked very well.
Using gmsh (a fem package) I discovered that 32 bit applications need .i686
support for opengl too. So, I installed .i686 nvidia support too.
Gmsh didn't work yet, but chess and celestia didn't work NO more.
Then, I uninstalled nvidia .i686 support, but chess and celestia still don't
start at all.
Bye

Comment 14 David Kovalsky 2010-05-25 11:04:30 UTC
I have ATI driver on my T60, so it is definitely not nvidia only.

Comment 15 Bruno Wolff III 2010-05-25 13:40:19 UTC
It might also be the way chess uses ogre. F14 should be a big change. But work needs to be done with the meshes and related stuff that ogre does. I have a fork tentatively prepared and may try to phase it in during F14 as well.

Comment 16 dr-ru 2010-05-29 19:36:04 UTC
Package: chess-1.0-27.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1.Just start the  program
2.
3.

Comment 17 David Kovalsky 2010-08-07 17:37:59 UTC
Package: chess-1.0-27.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Started chess from Gnome menu
2.
3.

Comment 18 Bug Zapper 2010-11-04 00:50:38 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 Eli Wapniarski 2010-11-04 05:00:25 UTC
Still crashing

Comment 20 Fedora Admin XMLRPC Client 2011-06-20 22:24:10 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 21 abrt-bot 2012-03-20 18:44:00 UTC
*** Bug 680587 has been marked as a duplicate of this bug. ***

Comment 22 abrt-bot 2012-03-20 18:44:10 UTC
*** Bug 678871 has been marked as a duplicate of this bug. ***

Comment 23 abrt-bot 2012-03-30 12:59:21 UTC
Backtrace analysis of bugs across components suggests the actual bug might be in component gcc, or some other component, instead of component chess. You might want to inspect the backtraces from the bugs listed below to find out the correct component.

Bugs which were found to be similar to this bug: 
  chess: bug #542073, bug #567150, bug #588189, bug #603965, bug #678871, bug #680587
  ogre: bug #616191, bug #617018, bug #617020, bug #618318, bug #618431, bug #618434, bug #618436, bug #618437, bug #618438, bug #618439, bug #618441, bug #618442

This comment is automatically generated.

Comment 24 Fedora End Of Life 2012-08-16 17:35:40 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.